People and groups
List a user's workspace memberships
List a user's workspace memberships
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/memberships \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"membership": {
"added_at": "<string>",
"added_by": "<string>",
"member_type": "user",
"role": "admin",
"user_id": "<string>",
"workspace_id": "<string>",
"email": "<string>",
"name": "<string>",
"updated_at": "<string>",
"updated_by": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"page": {
"limit": 1,
"offset": 1,
"next_cursor": "<string>",
"total": 1
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Query Parameters
Required range:
x >= 0Required range:
x >= 0⌘I
List a user's workspace memberships
curl --request GET \
--url https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/memberships \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/memberships', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://agentgateway.atlan.engineering/registry/v1/users/{user_id}/memberships"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"items": [
{
"membership": {
"added_at": "<string>",
"added_by": "<string>",
"member_type": "user",
"role": "admin",
"user_id": "<string>",
"workspace_id": "<string>",
"email": "<string>",
"name": "<string>",
"updated_at": "<string>",
"updated_by": "<string>"
},
"workspace": {
"display_name": "<string>",
"id": "<string>",
"name": "<string>"
}
}
],
"page": {
"limit": 1,
"offset": 1,
"next_cursor": "<string>",
"total": 1
}
}{
"code": "invalid_query",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "alg_mismatch",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "access_denied",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "internal_error",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "auth_unavailable",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}{
"code": "request_timeout",
"detail": "<string>",
"status": 1,
"title": "<string>",
"trace_id": "<string>"
}